PETSc version 3.15.5
Fix/Edit manual page

# SNESFASSetCycles

Sets the number of FAS multigrid cycles to use each time a grid is visited. Use SNESFASSetCyclesOnLevel() for more complicated cycling.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetCycles(SNES snes, PetscInt cycles)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| cycles | - the number of cycles -- 1 for V-cycle, 2 for W-cycle

### Options Database Key

| -snes_fas_cycles 1 or 2

### See Also

SNESFASSetCyclesOnLevel()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages